Page MenuHomePhabricator

[NFC][msan] Convert some code to early returns
ClosedPublic

Authored by vitalybuka on Sep 11 2022, 10:00 AM.

Diff Detail

Event Timeline

vitalybuka created this revision.Sep 11 2022, 10:00 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 11 2022, 10:00 AM
vitalybuka requested review of this revision.Sep 11 2022, 10:00 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 11 2022, 10:00 AM
fmayer added inline comments.Sep 12 2022, 11:49 AM
llvm/lib/Transforms/Instrumentation/MemorySanitizer.cpp
3285

Why is this reordering necessary? For consistency with below?

llvm/test/Instrumentation/MemorySanitizer/masked-store-load.ll
100–102

is this still considered [NFC] if it changes IR?

vitalybuka marked 2 inline comments as done.Sep 12 2022, 12:54 PM
vitalybuka added inline comments.
llvm/lib/Transforms/Instrumentation/MemorySanitizer.cpp
3285

for readability
I think original code is harder to follow

llvm/test/Instrumentation/MemorySanitizer/masked-store-load.ll
100–102

yes, if IR change is NFC :)

kda accepted this revision.Sep 14 2022, 1:04 PM
This revision is now accepted and ready to land.Sep 14 2022, 1:04 PM
This revision was landed with ongoing or failed builds.Sep 14 2022, 7:16 PM
This revision was automatically updated to reflect the committed changes.
vitalybuka marked 2 inline comments as done.